statistics-0.16.3.0: A library of statistical types, data, and functions

Copyright | (c) 2020 Ximin Luo
License | BSD3
Maintainer | infinity0@pwned.gg
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Statistics.Distribution.Lognormal

Contents

- Constructors

Description

The log normal distribution. This is a continuous probability distribution that describes data whose log is clustered around a mean. For example, the multiplicative product of many independent positive random variables.

Synopsis

- data LognormalDistribution
- lognormalDistr :: Double -> Double -> LognormalDistribution
- lognormalDistrErr :: Double -> Double -> Either String LognormalDistribution
- lognormalDistrMeanStddevErr :: Double -> Double -> Either String LognormalDistribution
- lognormalStandard :: LognormalDistribution

# Documentation

data LognormalDistribution #

The lognormal distribution.

#### Instances

Instances details

FromJSON LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods parseJSON :: Value -> Parser LognormalDistribution # parseJSONList :: Value -> Parser [LognormalDistribution] # omittedField :: Maybe LognormalDistribution #
ToJSON LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods toJSON :: LognormalDistribution -> Value # toEncoding :: LognormalDistribution -> Encoding # toJSONList :: [LognormalDistribution] -> Value # toEncodingList :: [LognormalDistribution] -> Encoding # omitField :: LognormalDistribution -> Bool #
Binary LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods put :: LognormalDistribution -> Put # get :: Get LognormalDistribution # putList :: [LognormalDistribution] -> Put #
Data LognormalDistribution # |

Instance details

Defined in Statistics.Distribution.Lognormal

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> LognormalDistribution -> c LognormalDistribution #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c LognormalDistribution #

toConstr :: LognormalDistribution -> Constr #

dataTypeOf :: LognormalDistribution -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c LognormalDistribution) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c LognormalDistribution) #

gmapT :: (forall b. Data b => b -> b) -> LognormalDistribution -> LognormalDistribution #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> LognormalDistribution -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> LognormalDistribution -> r #

gmapQ :: (forall d. Data d => d -> u) -> LognormalDistribution -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> LognormalDistribution -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> LognormalDistribution -> m LognormalDistribution #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> LognormalDistribution -> m LognormalDistribution #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> LognormalDistribution -> m LognormalDistribution #

Generic LognormalDistribution # |

Instance details

Defined in Statistics.Distribution.Lognormal

Associated Types

type Rep LognormalDistribution |
Instance details Defined in Statistics.Distribution.Lognormal type Rep LognormalDistribution = D1 ('MetaData "LognormalDistribution" "Statistics.Distribution.Lognormal" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'True) (C1 ('MetaCons "LND" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 NormalDistribution)))

Methods

from :: LognormalDistribution -> Rep LognormalDistribution x #

to :: Rep LognormalDistribution x -> LognormalDistribution #

Read LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods readsPrec :: Int -> ReadS LognormalDistribution # readList :: ReadS [LognormalDistribution] # readPrec :: ReadPrec LognormalDistribution # readListPrec :: ReadPrec [LognormalDistribution] #
Show LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods showsPrec :: Int -> LognormalDistribution -> ShowS # show :: LognormalDistribution -> String # showList :: [LognormalDistribution] -> ShowS #
Eq LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods (==) :: LognormalDistribution -> LognormalDistribution -> Bool # (/=) :: LognormalDistribution -> LognormalDistribution -> Bool #
ContDistr LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods density :: LognormalDistribution -> Double -> Double # logDensity :: LognormalDistribution -> Double -> Double # quantile :: LognormalDistribution -> Double -> Double # complQuantile :: LognormalDistribution -> Double -> Double #
ContGen LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods genContVar :: StatefulGen g m => LognormalDistribution -> g -> m Double #
Distribution LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods cumulative :: LognormalDistribution -> Double -> Double # complCumulative :: LognormalDistribution -> Double -> Double #
Entropy LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods entropy :: LognormalDistribution -> Double #
MaybeEntropy LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods maybeEntropy :: LognormalDistribution -> Maybe Double #
MaybeMean LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods maybeMean :: LognormalDistribution -> Maybe Double #
MaybeVariance LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods maybeVariance :: LognormalDistribution -> Maybe Double # maybeStdDev :: LognormalDistribution -> Maybe Double #
Mean LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods mean :: LognormalDistribution -> Double #
Variance LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal Methods variance :: LognormalDistribution -> Double # stdDev :: LognormalDistribution -> Double #
FromSample LognormalDistribution Double # | Variance is estimated using maximum likelihood method (biased estimation) over the log of the data. Returns `Nothing` if sample contains less than one element or variance is zero (all elements are equal)
Instance details Defined in Statistics.Distribution.Lognormal Methods fromSample :: Vector v Double => v Double -> Maybe LognormalDistribution #
type Rep LognormalDistribution # |
Instance details Defined in Statistics.Distribution.Lognormal type Rep LognormalDistribution = D1 ('MetaData "LognormalDistribution" "Statistics.Distribution.Lognormal" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'True) (C1 ('MetaCons "LND" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 NormalDistribution)))

# Constructors

lognormalDistr #

Arguments

:: Double | Mu
-> Double | Sigma
-> LognormalDistribution |

Create log normal distribution from parameters.

lognormalDistrErr #

Arguments

:: Double | Mu
-> Double | Sigma
-> Either String LognormalDistribution |

Create log normal distribution from parameters.

lognormalDistrMeanStddevErr #

Arguments

:: Double | Mu
-> Double | Sigma
-> Either String LognormalDistribution |

Create log normal distribution from mean and standard deviation.

lognormalStandard :: LognormalDistribution #

Standard log normal distribution with mu 0 and sigma 1.

Mean is `sqrt e` and variance is `(e - 1) * e`.